import React from 'react';
import type { RenderMode } from '@leafygreen-ui/popover';
import { ItemActionButtonSize } from './constants';
import type { ItemAction, ItemSeparator } from './types';
export type ItemActionControlsProps<Action extends string> = {
    isVisible?: boolean;
    actions: (ItemAction<Action> | ItemSeparator)[];
    onAction(actionName: Action): void;
    className?: string;
    menuClassName?: string;
    iconSize?: ItemActionButtonSize;
    iconClassName?: string;
    iconStyle?: React.CSSProperties;
    collapseAfter?: number;
    collapseToMenuThreshold?: number;
    renderMode?: RenderMode;
    'data-testid'?: string;
};
export declare function ItemActionControls<Action extends string>({ isVisible, actions, onAction, className, menuClassName, iconClassName, iconStyle, iconSize, renderMode, collapseAfter, collapseToMenuThreshold, 'data-testid': dataTestId, }: ItemActionControlsProps<Action>): React.JSX.Element | null;
//# sourceMappingURL=item-action-controls.d.ts.map